Drop openstack.common.exception

Bug #1208734 reported by Julien Danjou on 2013-08-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ceilometer
Undecided
ChangBo Guo(gcb)
Cinder
Undecided
Julien Danjou
OpenStack Heat
Fix Released
Undecided
Julien Danjou
OpenStack Identity (keystone)
Low
ChangBo Guo(gcb)
Sahara
Fix Released
Medium
Sergey Lukjanov
neutron
Low
Julien Danjou
oslo-incubator
Undecided
Zhongyue Luo
python-neutronclient
Undecided
ZhiQiang Fan
taskflow
Undecided
Joshua Harlow

Bug Description

The library openstack.common.exceptions is deprecated in Oslo and should be removed.

Julien Danjou (jdanjou) on 2013-08-06
Changed in oslo:
assignee: nobody → Julien Danjou (jdanjou)
status: New → Confirmed
Changed in cinder:
assignee: nobody → Julien Danjou (jdanjou)
Changed in neutron:
assignee: nobody → Julien Danjou (jdanjou)
status: New → Confirmed
Changed in cinder:
status: New → Confirmed
Changed in oslo:
status: Confirmed → In Progress
Changed in cinder:
status: Confirmed → In Progress
Changed in neutron:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/39471
Committed: http://github.com/openstack/cinder/commit/061938563097241983b70fc6b85e1c196dfebfeb
Submitter: Jenkins
Branch: master

commit 061938563097241983b70fc6b85e1c196dfebfeb
Author: Julien Danjou <email address hidden>
Date: Wed Jul 31 11:36:08 2013 +0200

    Remove usage of obsolete oslo.exception

    Change-Id: I6f46f90bd74cc26fc01667e467e3dab38037eec3
    Closes-Bug: #1208734

Changed in cinder:
status: In Progress → Fix Committed
Julien Danjou (jdanjou) on 2013-08-07
Changed in heat:
assignee: nobody → Julien Danjou (jdanjou)
status: New → In Progress
summary: - Drop openstack.common.exceptions
+ Drop openstack.common.exception

Reviewed: https://review.openstack.org/39276
Committed: http://github.com/openstack/neutron/commit/9b50a25c2817f804b6898f04eccfcebf895e82da
Submitter: Jenkins
Branch: master

commit 9b50a25c2817f804b6898f04eccfcebf895e82da
Author: Julien Danjou <email address hidden>
Date: Tue Jul 30 13:16:51 2013 +0200

    Remove openstack.common.exception usage

    This file is deprecated, stop using it.

    Change-Id: I5d79b8c0134bb5f4021487542d4d0a964281b8bf
    Fixes-Bug: #1208734

Changed in neutron:
status: In Progress → Fix Committed
Changed in neutron:
importance: Undecided → Low
milestone: none → havana-3
tags: added: neutron-core
Joshua Harlow (harlowja) on 2013-08-08
Changed in taskflow:
status: New → In Progress
assignee: nobody → Joshua Harlow (harlowja)
Joshua Harlow (harlowja) wrote :

Just for those that aren't understanding the 'why' of this.

https://github.com/openstack/oslo-incubator/blob/master/MAINTAINERS#L118

== exception ==

M:
S: Obsolete
F: exception.py

Reviewed: https://review.openstack.org/40782
Committed: http://github.com/stackforge/taskflow/commit/be5762a3330957371abc4819ac62909b90b16bda
Submitter: Jenkins
Branch: master

commit be5762a3330957371abc4819ac62909b90b16bda
Author: Joshua Harlow <email address hidden>
Date: Wed Aug 7 19:05:18 2013 -0700

    Remove openstack.common.exception usage

    This file is deprecated, stop using it.

    Change-Id: I309bccb23e4ba25d84b5aaaba20ad73fdfd37e25
    Fixes-Bug: #1208734

Changed in taskflow:
status: In Progress → Fix Committed
Changed in oslo:
assignee: Julien Danjou (jdanjou) → Zhongyue Luo (zyluo)

Reviewed: https://review.openstack.org/39314
Committed: http://github.com/openstack/oslo-incubator/commit/9721129f2c0c331e3b0428554d421ae670039f81
Submitter: Jenkins
Branch: master

commit 9721129f2c0c331e3b0428554d421ae670039f81
Author: Julien Danjou <email address hidden>
Date: Tue Jul 30 12:51:54 2013 +0200

    exception: remove

    This patch drops the obsolete openstack.common.exception module.

    Most project should define their own exception based on their API and
    the context they evolve in. Many projects don't use this, only neutron,
    cinder and heat used it. I've copy pasted the few exceptions that they
    were using, but that's still by far less code than this whole file.
    Ultimately that will let them a chance to remove or shring their own
    exception.py. I don't think most projects should have one anyway.

    Change-Id: Ia8b2b29bd443233def324e97de7342c2634bccff
    Closes-Bug: #1208734

Changed in oslo:
status: In Progress → Fix Committed
ZhiQiang Fan (aji-zqfan) on 2013-08-28
Changed in python-neutronclient:
assignee: nobody → ZhiQiang Fan (aji-zqfan)

Fix proposed to branch: master
Review: https://review.openstack.org/44025

Changed in python-neutronclient:
status: New → In Progress
Thierry Carrez (ttx) on 2013-09-05
Changed in cinder:
milestone: none → havana-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-09-05
Changed in neutron:
status: Fix Committed → Fix Released
Changed in oslo:
milestone: none → havana-3
status: Fix Committed → Fix Released

I will be out of the office starting 2013-09-05 and will not return until
2013-09-15.

I will be on my marriage leave from 9/5 to 9/15, for any urgent issue
please call me before 9/7.

For daily work, please ask my scrum master Zhu Zhu for help.
For glance issue, please ask glance SME Feilong Wang for help.
For defect report, there will be no report next week.

Reviewed: https://review.openstack.org/44025
Committed: http://github.com/openstack/python-neutronclient/commit/f80190cc584bbf82f909652299f6c739b0a5619f
Submitter: Jenkins
Branch: master

commit f80190cc584bbf82f909652299f6c739b0a5619f
Author: ZhiQiang Fan <email address hidden>
Date: Wed Aug 28 18:45:55 2013 +0800

    Remove openstack.common.exception usage

    Fixes-Bug: #1208734

    This file is deprecated, stop using it.

    Change-Id: I4ad53008a6d350dbf4003f4e01088e95d6b42a3e

Changed in python-neutronclient:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-10-17
Changed in oslo:
milestone: havana-3 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-3 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in neutron:
milestone: havana-3 → 2013.2
Steven Hardy (shardy) on 2013-10-18
Changed in heat:
milestone: none → icehouse-1

Reviewed: https://review.openstack.org/50100
Committed: http://github.com/openstack/heat/commit/33e5737658815fa54fbff26db08ad59a7de96379
Submitter: Jenkins
Branch: master

commit 33e5737658815fa54fbff26db08ad59a7de96379
Author: Julien Danjou <email address hidden>
Date: Wed Aug 7 17:14:02 2013 +0200

    Stop using openstack.common.exception

    The openstack.common.exception has been deprecated and removed from
    oslo-incubator. Therefore, Heat should follow the recommendation and
    stop the usage of this file altogether.

    Change-Id: I0364da262d956cecea7b77ebc40ead8ece224828
    Closes-Bug: #1208734

Changed in heat:
status: In Progress → Fix Committed

Fix proposed to branch: master
Review: https://review.openstack.org/55648

Changed in keystone:
assignee: nobody → ChangBo Guo (guochbo)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/55651

Changed in ceilometer:
assignee: nobody → ChangBo Guo (guochbo)
status: New → In Progress

Reviewed: https://review.openstack.org/55651
Committed: http://github.com/openstack/ceilometer/commit/2e3679e4acfaaa26c0ba9638ec1de77241562aa3
Submitter: Jenkins
Branch: master

commit 2e3679e4acfaaa26c0ba9638ec1de77241562aa3
Author: Chang Bo Guo <email address hidden>
Date: Fri Nov 8 04:03:43 2013 -0800

    Stop using openstack.common.exception

    The openstack.common.exception has been deprecated and removed from
    oslo-incubator. Therefore, Ceilometer should follow the recommendation
    and stop the usage of this file altogether.

    Closes-Bug: #1208734
    Change-Id: Ida4530d2f966f97b980db333f08a990250b7b68d

Changed in ceilometer:
status: In Progress → Fix Committed
Changed in savanna:
status: New → Triaged
importance: Undecided → Medium
milestone: none → icehouse-1
Dolph Mathews (dolph) on 2013-11-22
Changed in keystone:
importance: Undecided → Low
Changed in savanna:
milestone: icehouse-1 → icehouse-2
Changed in savanna:
assignee: nobody → Sergey Lukjanov (slukjanov)
Changed in savanna:
status: Triaged → In Progress
Thierry Carrez (ttx) wrote : target

 affects heat
 status fixreleased

Changed in heat:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-12-04
Changed in ceilometer:
milestone: none → icehouse-1
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/59695
Committed: http://github.com/openstack/savanna/commit/cfe9b29de2d4a9f575609925b185753a349d558f
Submitter: Jenkins
Branch: master

commit cfe9b29de2d4a9f575609925b185753a349d558f
Author: Sergey Lukjanov <email address hidden>
Date: Tue Dec 3 16:25:10 2013 +0400

    Drop os.common.exceptions

    The os.common.exceptions lib was deprecated in oslo and all usages should be
    removed.

    We're only using os.common.exceptions.Error:

    class Error(Exception):
        def __init__(self, message=None):
                super(Error, self).__init__(message)

    and we have our own base exception class with all needed stuff
    savanna.utils.exceptions.SavannaException.

    Change-Id: Ib4a1601e4b71bb38d293d457afaffa1c979b8ffb
    Closes-Bug: #1208734

Changed in savanna:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-01-22
Changed in savanna:
status: Fix Committed → Fix Released
Changed in taskflow:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-04-17
Changed in ceilometer:
milestone: icehouse-1 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in heat:
milestone: icehouse-1 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in sahara:
milestone: icehouse-2 → 2014.1
David Stanek (dstanek) on 2014-09-30
Changed in keystone:
status: In Progress → Fix Released
Akihiro Motoki (amotoki) on 2014-10-17
Changed in python-neutronclient:
milestone: none → 2.3.0-2.3.4
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers